<!-- Copyright (c)  2019-2021 The Linux Foundation. All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:
    * Redistributions of source code must retain the above copyright
      notice, this list of conditions and the following disclaimer.
    * Redistributions in binary form must reproduce the above
      copyright notice, this list of conditions and the following
      disclaimer in the documentation and/or other materials provided
      with the distribution.
    * Neither the name of The Linux Foundation nor the names of its
      contributors may be used to endorse or promote products derived
      from this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESS OR IMPLIED
WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NON-INFRINGEMENT
ARE DISCLAIMED.  IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS
BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR
BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE
OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

==========================================================================
Changes from Qualcomm Innovation Center are provided under the following license:
Copyright (c) 2023 Qualcomm Innovation Center, Inc. All rights reserved.
SPDX-License-Identifier: BSD-3-Clause-Clear
==========================================================================
-->
<manifest version="1.0" type="device" target-level="8">
    <!-- CapabilityConfigStore HAL Service  -->
    <hal format="hidl">
        <name>vendor.qti.hardware.capabilityconfigstore</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>ICapabilityConfigStore</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio</name>
        <transport>hwbinder</transport>
        <version>7.1</version>
        <interface>
            <name>IDevicesFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>android.hardware.audio.effect</name>
        <transport>hwbinder</transport>
        <version>7.0</version>
        <interface>
            <name>IEffectsFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <!-- DSP Service -->
    <hal format="hidl">
        <name>vendor.qti.hardware.dsp</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IDspService</name>
            <instance>dspservice</instance>
        </interface>
    </hal>
    <!-- WFD HAL Service -->
    <hal format="hidl" optional="true">
        <name>vendor.qti.hardware.wifidisplaysession</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IWifiDisplaySession</name>
            <instance>wifidisplaysession</instance>
        </interface>
        <interface>
            <name>IWifiDisplaySessionVideoTrack</name>
            <instance>wifidisplaysessionvideotrack</instance>
        </interface>
        <interface>
            <name>IWifiDisplaySessionAudioTrack</name>
            <instance>wifidisplaysessionaudiotrack</instance>
        </interface>
        <interface>
            <name>IWifiDisplaySessionImageTrack</name>
            <instance>wifidisplaysessionimagetrack</instance>
        </interface>
    </hal>
    <!-- wfdhdcp DRM HAL service -->
    <hal format="aidl">
        <name>android.hardware.drm</name>
        <version>1</version>
        <fqname>IDrmFactory/wfdhdcp</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.gatekeeper</name>
        <version>1</version>
        <interface>
            <name>IGatekeeper</name>
            <instance>default</instance>
        </interface>
    </hal>
    <!-- NFC HAL service -->
    <hal format="aidl">
        <name>android.hardware.nfc</name>
        <version>1</version>
        <fqname>INfc/default</fqname>
    </hal>
    <hal format="aidl">
        <name>vendor.nxp.nxpnfc_aidl</name>
        <version>1</version>
        <fqname>INxpNfc/default</fqname>
    </hal>
    <!-- AGM service-->
    <hal format="hidl">
        <name>vendor.qti.hardware.AGMIPC</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IAGM</name>
            <instance>default</instance>
        </interface>
    </hal>
    <!-- Audio PAL service -->
    <hal format="hidl">
        <name>vendor.qti.hardware.pal</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IPAL</name>
            <instance>default</instance>
        </interface>
        <fqname>@1.0::IPAL/default</fqname>
    </hal>
    <hal format="aidl">
        <name>android.hardware.secure_element</name>
        <version>1</version>
        <fqname>ISecureElement/eSE1</fqname>
    </hal>
    <!-- dpm QMI hal service -->
    <hal format="hidl">
        <name>com.qualcomm.qti.dpm.api</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IdpmQmi</name>
            <instance>dpmQmiService</instance>
        </interface>
    </hal>

   <!-- IMS UCE Service -->
   <hal format="hidl">
       <name>com.qualcomm.qti.uceservice</name>
       <transport>hwbinder</transport>
       <version>2.3</version>
       <interface>
         <name>IUceService</name>
         <instance>com.qualcomm.qti.uceservice</instance>
       </interface>
   </hal>
   <!-- IMS callinfo Service -->
   <hal format="hidl">
       <name>vendor.qti.ims.callinfo</name>
       <transport>hwbinder</transport>
       <version>1.0</version>
       <interface>
         <name>IService</name>
         <instance>default</instance>
       </interface>
   </hal>
   <!-- IMS CM Service -->
   <hal format="hidl">
       <name>com.qualcomm.qti.imscmservice</name>
       <transport>hwbinder</transport>
       <version>2.2</version>
       <interface>
         <name>IImsCmService</name>
         <instance>qti.ims.connectionmanagerservice</instance>
       </interface>
   </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.cacert</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IService</name>
            <instance>default</instance>
        </interface>
    </hal>
    <!-- Factory HAL service -->
    <hal format="hidl">
        <name>vendor.qti.hardware.factory</name>
        <transport>hwbinder</transport>
        <version>1.1</version>
        <interface>
            <name>IFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <!-- bluetooth -->
    <hal format="hidl">
        <name>android.hardware.bluetooth</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IBluetoothHci</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.bluetooth_audio</name>
        <transport>hwbinder</transport>
        <version>2.1</version>
        <interface>
            <name>IBluetoothAudioProvidersFactory</name>
            <instance>default</instance>
        </interface>
    </hal>
    <hal format="hidl">
        <name>vendor.qti.hardware.btconfigstore</name>
        <transport>hwbinder</transport>
        <version>2.0</version>
        <interface>
            <name>IBTConfigStore</name>
            <instance>default</instance>
        </interface>
    </hal>
    <!-- fm -->
    <hal format="hidl">
        <name>vendor.qti.hardware.fm</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IFmHci</name>
            <instance>default</instance>
        </interface>
    </hal>
    <!--ANT-->
    <hal format="hidl">
        <name>com.dsi.ant</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IAnt</name>
            <instance>default</instance>
        </interface>
    </hal>
    <!-- WifiStats HAL service -->
    <hal format="hidl">
        <name>vendor.qti.hardware.wifi.wifilearner</name>
        <transport>hwbinder</transport>
        <version>1.0</version>
        <interface>
            <name>IWifiStats</name>
            <instance>wifiStats</instance>
        </interface>
    </hal>
    <!-- BluetoothSar service-->
    <hal format="hidl">
        <name>vendor.qti.hardware.bluetooth_sar</name>
        <transport>hwbinder</transport>
        <version>1.1</version>
        <interface>
            <name>IBluetoothSar</name>
            <instance>default</instance>
        </interface>
    </hal>
</manifest>
